Skip to main content
GET
ListRuns

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of runs to return. The service may return fewer than this value. If unspecified, at most 50 runs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListRuns call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListRuns must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are run_id organization_id, asset_id, asset_name, client_key, name, description, created_by_user_id, modified_by_user_id, created_date, modified_date, start_time, stop_time, tag_id, asset_tag_id, duration, 'duration_string', annotation_comments_count, annotation_state, archived_date, is_archived, and metadata. Metadata can be used in filters by using metadata.{metadata_key_name} as the field name. duration is in the format of elapsed seconds and duration_string allows for h, m, s, ms suffixes (example: `duration_string > duration('10h')) For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved runs. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name, description, created_date, modified_date, start_time, and stop_time. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

Results can also be ordered by the value of a single metadata key, using the same bracket syntax as filter: metadata["<key name>"][ desc]. Metadata ordering cannot be combined with other order_by fields, and runs without the key sort last in both directions. Keys with relation-typed values cannot be ordered by. Example: metadata["test_scenario"] desc

Response

A successful response.

The response of a call to RunService_ListRuns containing requested runs.

runs
object[]
required
nextPageToken
string